% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zchunk_L211.ag_nonco2.R
\name{module_emissions_L211.ag_nonco2}
\alias{module_emissions_L211.ag_nonco2}
\title{module_emissions_L211.ag_nonco2}
\usage{
module_emissions_L211.ag_nonco2(command, ...)
}
\arguments{
\item{command}{API command to execute}

\item{...}{other optional parameters, depending on command}
}
\value{
Depends on \code{command}: either a vector of required inputs,
a vector of output names, or (if \code{command} is "MAKE") all
the generated outputs: \code{L211.AWBEmissions}, \code{L211.AGREmissions}, \code{L211.AnEmissions}, \code{L211.AnNH3Emissions}, \code{L211.AGRBio}, \code{L211.AWB_BCOC_EmissCoeff}, \code{L211.nonghg_max_reduction}, \code{L211.nonghg_steepness}. The corresponding file in the
original data system was \code{L211.ag_nonco2.R} (emissions level2).
}
\description{
Processes agriculture, agricultural waste burning, and animal emissions, adding regions and sectors/technologies.
By region and ag sector/technology, writes out N2O emissions coefficients for biomass and BC/OC emissions coefficients for ag waste burning.
Writes out non-GHG maximum emissions coefficient reduction and steepness,
a shape parameter that reduces emissions coefficient as function of per-capita GDP, by region and ag sector/technology.
}
\details{
Processes agriculture, agricultural waste burning, and animal emissions, adding regions and sectors/technologies.
By region and ag sector/technology, writes out N2O emissions coefficients for biomass and BC/OC emissions coefficients for ag waste burning.
Writes out non-GHG maximum emissions coefficient reduction and steepness,
a shape parameter that reduces emissions coefficient as function of per-capita GDP, by region and ag sector/technology.
}
\author{
RH July 2017
}
