% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zchunk_LA1321.cement.R
\name{module_energy_LA1321.cement}
\alias{module_energy_LA1321.cement}
\title{module_energy_LA1321.cement}
\usage{
module_energy_LA1321.cement(command, ...)
}
\arguments{
\item{command}{API command to execute}

\item{...}{other optional parameters, depending on command}
}
\value{
Depends on \code{command}: either a vector of required inputs,
a vector of output names, or (if \code{command} is "MAKE") all
the generated outputs: \code{L1321.out_Mt_R_cement_Yh}, \code{L1321.IO_GJkg_R_cement_F_Yh}, \code{L1321.in_EJ_R_cement_F_Y}, \code{L1321.in_EJ_R_indenergy_F_Yh}. The corresponding file in the
original data system was \code{LA1321.cement.R} (energy level1).
}
\description{
Sets up input, output, and IO coefficients for cement and subtracts input energy from industry energy use
}
\details{
This chunk generates input, output, and IO coefficients for the cement sector. It begins by downscaling Worrell regional data from 1994
to set up process emissions factors that are multiplied by country emissions from CDIAC to determine production. Limestone consumption is calculated from the same downscaling.
IEA fuelshares and heat and electricity are used to determine energy use by fuel. Energy inputs are then subtracted from industrial energy use and any resulting negative values
are dealt with by moving their accounting to the cement sector.
}
\author{
CWR Nov 2017
}
